﻿/*PRE-CARGA

.loading {
	display: none;
	position: fixed;
	
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	
	justify-content: center;
	align-items: center;
	
	font-size: 2em;
	color:#FFEECC;
	background-color:#110022;
	z-index:99999;
}
.loading--show {
	display:flex;
}
*/

/*RESET

*, *::before, *::after, html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, font, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, button, input, select, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, header, main, section, figure, mark{
	margin: 0; padding: 0; border: 0; outline: 0; vertical-align: baseline; background-color: transparent; text-decoration: none; list-style: none; border-style: none;
	box-sizing: border-box; 
}
form {
  appearance: none;
}
button, input, select, textarea {
  font: inherit;
}
*/

/*MODO DISEÑO*/

.Xdesign *{ 
	outline: 1px solid red; /* delineado */
	outline-offset: 0px; /* espacio entre el borde y el delineado */
	background-color: rgba(255, 0, 0, 0.05); /* rojo semitransparente */
	box-shadow: 0 0 0 1px red; /* delineado backup */
	background-clip: padding-box;
}

/* CARGA TIPOGRAFIAS*/

@font-face {
    font-family:"Super Trivia";
    /**src: url("../fonts/SuperTrivia.ttf") format('truetype');**/
    src: url("../fonts/SuperTrivia.woff2") format('woff'); 
	unicode-range: U+0000-00FF; /* Rango de caracteres a precargar, por ejemplo, el rango básico latino */  
	font-display: swap; /* Estrategia de carga: auto, block, swap, fallback */
}

@font-face {
    font-family:NP-Light;
    src: url("../fonts/NationalPark-ExtraLight.woff2") format('woff');
	unicode-range: U+0000-00FF;
	font-display: swap;  
}

/* MESA DE TRABAJO */

html, body {
	max-width: 100vw;
	min-height: 100vh;
	scroll-behavior: smooth;
	-webkit-text-size-adjust: 100%;
}

body{
	background: linear-gradient(to bottom, #FFF1A8, #FFF8D6), url('');
	color:#390000;
	
	font-family: NP-Light, 'Arial Narrow', Arial, sans-serif;
  	font-weight: 100;
	font-size: 16px;
	line-height: 1.2; /*no usar px, em, etc*/
	letter-spacing: normal;
	word-spacing: normal;
	text-align: left;
	
	white-space: normal;
	word-break: keep-all;
	word-wrap: break-word;
	hyphens:auto;
	orphans: inherit;
	widows: inherit;
	
	overflow-x: hidden;
	overflow-y: auto;
	
	cursor: pointer;
	cursor: url('../img/base/cursor-normal.png') 0 0, auto;
}

::selection {
	color:#390000;
	background-color: rgba(255,204,51,0.5);
}
:focus {
  outline:none;
 }
input:focus {
  outline:none;
}
:focus-visible {
	outline: 2px solid #390000;
}

/* CONTENEDORES */

.seccion {
	display: flex;
	width: 100%;
}

.sub-seccion {
	display: flex;
	width: 100%;
	margin: 0 auto;
	justify-content: center; /* Centra el grupo de columnas horizontalmente */
	align-items: center; /* Centra las columnas verticalmente */
	flex-wrap: wrap; /* :wrap-reverse; se envuelven también, pero de abajo hacia arriba.*/
}

/* COLUMNAS */

.a-1-columnas, .a-2-columnas, .a-3-columnas, .a-4-columnas, .a-6-columnas, .a-8-columnas, .a-10-columnas {
	float:left;
}
.a-1-columnas { width: 100%; }
.a-2-columnas { width: 50%; }
.a-3-columnas { width: 33.33%; }
.a-4-columnas { width: 25%; }
.a-6-columnas { width: 16.6%; }
.a-8-columnas { width: 12.5%; }
.a-10-columnas { width: 10%; }



/*FUENTES*/

h1, h2, h3, h4, h5, h6{
	text-transform: none;
	text-shadow: none;
}
p{
	font-variant: normal;
	font-stretch: normal;
}
strong, b {
	font-weight:bold;
}
em{
	font-style:italic;
}
span{
	font-size-adjust: none;
}

/* IMAGENES */

img, video {
	width:100%; /* :100%; Estira la imagen al contenedor a lo ANCHO */
	height: auto; /* Mantiene la proporción, ajustando altura según el ancho */	
	
	max-width:100%; /* en PX controla el maximo de ancho */
	max-height:100%; /* en PX controla el maximo de alto */
	
	min-width:100%; /* en PX controla el minimo de ancho */
	min-height:100%; /* en PX controla el minimo de alto */

  	display: block;
  	object-fit: cover; /* o 'contain' según el caso */
}
 /*
.backgrounds {
	background-image:url('../img/image.png');
	background-repeat: repeat;
	background-position: left top;
	background-size:50%;
	background-attachment: scroll; 
	background-clip: border-box;
	background-origin: padding-box;
	mix-blend-mode: multiply;
}
 */
.llamado{
	position: absolute;
	clip: rect(0, 0, 0, 0);
	clip: rect(0 0 0 0);
	clip-path: circle(0);

	width: 1px;
	height: 1px;
	margin: -1px;

	overflow:hidden;
}
.oculto{
	display:none;
}
.visible{
	overflow:visible;
}

a:hover{
  	cursor: pointer;
	cursor: url('../img/base/cursor-invertido.png') 100 0, auto;
}


/*
 _____ ______   _______   ________  ___  ________ 
|\   _ \  _   \|\  ___ \ |\   ___ \|\  \|\   __  \
\ \  \\\__\ \  \ \   __/|\ \  \_|\ \ \  \ \  \|\  \
 \ \  \\|__| \  \ \  \_|/_\ \  \ \\ \ \  \ \   __  \
  \ \  \    \ \  \ \  \_|\ \ \  \_\\ \ \  \ \  \ \  \
   \ \__\    \ \__\ \_______\ \_______\ \__\ \__\ \__\
    \|__|     \|__|\|_______|\|_______|\|__|\|__|\|__|
 ________  ___  ___  _______   ________  ___  _______   ________ 
|\   __  \|\  \|\  \|\  ___ \ |\   __  \|\  \|\  ___ \ |\   ____\ 
\ \  \|\  \ \  \\\  \ \   __/|\ \  \|\  \ \  \ \   __/|\ \  \___|_ 
 \ \  \\\  \ \  \\\  \ \  \_|/_\ \   _  _\ \  \ \  \_|/_\ \_____  \ 
  \ \  \\\  \ \  \\\  \ \  \_|\ \ \  \\  \\ \  \ \  \_|\ \|____|\  \ 
   \ \_____  \ \_______\ \_______\ \__\\ _\\ \__\ \_______\____\_\  \
    \|___| \__\|_______|\|_______|\|__|\|__|\|__|\|_______|\_________\
          \|__|                                           \|_________|

*/

/* === MEDIA QUERIES RESPONSIVE === */

/* Tablets grandes y laptops <= 960px */
@media screen and (max-width: 960px) {

}

/* Tablets medianos y phablets <= 720px */
@media screen and (max-width: 720px) {

}


/* Móviles grandes <= 640px */
@media screen and (max-width: 640px) {

}

/* Móviles pequeños <= 430px */
@media screen and (max-width: 430px) {


}

/* Celulares muy pequeños <= 320px */
@media screen and (max-width: 320px) {
}
